> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/user-profile.md).

# User Profile

## Gets a list of user profiles

> This endpoint is used to fetch all the users in the current organization (works based on token used to authorize)

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/user/profile/":{"get":{"operationId":"ux_common_user_profile_retrieve","description":"This endpoint is used to fetch all the users in the current organization (works based on token used to authorize)","summary":"Gets a list of user profiles","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["User Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"description":""}}}}}}
```

## Creates a new user&#x20;

> This endpoint is used to save a new user for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/user/profile/":{"post":{"operationId":"ux_common_user_profile_create","description":"This endpoint is used to save a new user for the current organization","summary":"Creates a new user ","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"content":{"application/json":{"schema":{"status":"success","user_id":20,"message":"user created"}}},"description":""}}}}}}
```

## Gets a user profile with the given id

> This endpoint is used to fetch a user in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/{id}/":{"get":{"operationId":"ux_common_user_profile_retrieve_2","description":"This endpoint is used to fetch a user in the current organization","summary":"Gets a user profile with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["User Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## Edits the user with given id

> This endpoint is used to edit an existing user for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/{id}/":{"put":{"operationId":"ux_common_user_profile_update","description":"This endpoint is used to edit an existing user for the current organization","summary":"Edits the user with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## Deletes the user with given id

> This endpoint is used to delete an existing user for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/user/profile/{id}/":{"delete":{"operationId":"ux_common_user_profile_destroy","description":"This endpoint is used to delete an existing user for the current organization","summary":"Deletes the user with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["User Profile"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/common/user/profile/active\_users/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/active_users/":{"post":{"operationId":"ux_common_user_profile_active_users_create","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## GET /ux/common/user/profile/activeuser\_list/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/activeuser_list/":{"get":{"operationId":"ux_common_user_profile_activeuser_list_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## GET /ux/common/user/profile/download\_csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/download_csv/":{"get":{"operationId":"ux_common_user_profile_download_csv_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## GET /ux/common/user/profile/getmyprofile/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/getmyprofile/":{"get":{"operationId":"ux_common_user_profile_getmyprofile_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## POST /ux/common/user/profile/logout/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/logout/":{"post":{"operationId":"ux_common_user_profile_logout_create","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## POST /ux/common/user/profile/myprofile/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/myprofile/":{"post":{"operationId":"ux_common_user_profile_myprofile_create","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## GET /ux/common/user/profile/options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/options/":{"get":{"operationId":"ux_common_user_profile_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## POST /ux/common/user/profile/preference/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/preference/":{"post":{"operationId":"ux_common_user_profile_preference_create","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## POST /ux/common/user/profile/upload\_csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/upload_csv/":{"post":{"operationId":"ux_common_user_profile_upload_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## POST /ux/common/user/profile/user\_invite/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/user_invite/":{"post":{"operationId":"ux_common_user_profile_user_invite_create","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```

## POST /ux/common/user/profile/validate\_csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"UserList":{"type":"object","description":"Serializes users querysets.","properties":{"profile_id":{"type":"string","maxLength":25},"user":{"type":"integer"},"profile":{"type":"string","readOnly":true},"creation_time":{"type":"string","format":"date-time"},"profile_image":{"type":"string","readOnly":true},"avatar":{"type":"string","readOnly":true},"email":{"type":"string","nullable":true},"name":{"type":"string","readOnly":true},"is_active":{"type":"boolean"},"last_loggged_in":{"type":"string","readOnly":true},"customer_id":{"type":"array","items":{}},"customer_entity_id":{"type":"array","items":{}},"actual_username":{"type":"string","readOnly":true},"is_multiple_customer_user":{"type":"boolean"},"is_profile_image":{"type":"boolean"}},"required":["actual_username","avatar","last_loggged_in","name","profile","profile_id","profile_image"]}}},"paths":{"/ux/common/user/profile/validate_csv/":{"post":{"operationId":"ux_common_user_profile_validate_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["User Profile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/user-profile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
